Bug 178638

Summary: Web Inspector: Styles Redesign: Inline widgets don't hide when starting editing by tabbing from property name
Product: WebKit Reporter: Nikita Vasilyev <nvasilyev>
Component: Web InspectorAssignee: Nikita Vasilyev <nvasilyev>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, inspector-bugzilla-changes, joepeck, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
[Animated GIF] Bug
none
Patch
none
[Animated GIF] With patch applied none

Description Nikita Vasilyev 2017-10-21 16:37:47 PDT
Created attachment 324508 [details]
[Animated GIF] Bug

Inline swatches (WI.InlineSwatch), like a color picker, should only show when the property is not being edited.

Clicking on a property value hides inline swatches as expected.
Tabbing from a property name to a property value does not.
Comment 1 Nikita Vasilyev 2017-10-21 16:44:48 PDT
Created attachment 324509 [details]
Patch
Comment 2 Nikita Vasilyev 2017-10-21 16:46:17 PDT
Created attachment 324510 [details]
[Animated GIF] With patch applied
Comment 3 Joseph Pecoraro 2017-10-23 17:12:33 PDT
Comment on attachment 324509 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2017-10-23 17:35:46 PDT
Comment on attachment 324509 [details]
Patch

Clearing flags on attachment: 324509

Committed r223867: <https://trac.webkit.org/changeset/223867>
Comment 5 WebKit Commit Bot 2017-10-23 17:35:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-11-15 12:57:24 PST
<rdar://problem/35568468>